Bug 181757 - databases/libmongo-client: update to 0.1.6.3
databases/libmongo-client: update to 0.1.6.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 16:10 UTC by gd
Modified: 2013-09-05 20:50 UTC (History)
0 users

See Also:


Attachments
file.txt (1.49 KB, text/plain)
2013-09-02 16:10 UTC, gd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gd 2013-09-02 16:10:00 UTC
Bug fix realease databases/libmongo-client 0.1.6.3:

** Improvement: configure.ac updated to modern autotools
** Bugfix: Fix chunked GridFS file retrieval
** Bugfix: Stop crashing in case verification fails

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-09-04 23:44:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter freebsd_committer 2013-09-05 20:44:48 UTC
Author: wg
Date: Thu Sep  5 19:44:40 2013
New Revision: 326440
URL: http://svnweb.freebsd.org/changeset/ports/326440

Log:
  databases/libmongo-client: update to 0.1.6.3
  
  - Update to 0.1.6.3
  - USES gmake
  - Add LICENSE (AL2)
  
  PR:		ports/181757
  Submitted by:	Denis Generalov <gd rambler-co.ru> (maintainer)

Modified:
  head/databases/libmongo-client/Makefile
  head/databases/libmongo-client/distinfo

Modified: head/databases/libmongo-client/Makefile
==============================================================================
--- head/databases/libmongo-client/Makefile	Thu Sep  5 19:38:09 2013	(r326439)
+++ head/databases/libmongo-client/Makefile	Thu Sep  5 19:44:40 2013	(r326440)
@@ -2,23 +2,22 @@
 # $FreeBSD$
 
 PORTNAME=	libmongo-client
-PORTVERSION=	0.1.6.2
+PORTVERSION=	0.1.6.3
 CATEGORIES=	databases
 
 MAINTAINER=	gd@rambler-co.ru
 COMMENT=	Alternative C driver for MongoDB
 
-LIB_DEPENDS=	pcre:${PORTSDIR}/devel/pcre
+LICENSE=	AL2
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	algernon
 GH_TAGNAME=	${PORTNAME}-${PORTVERSION}
-GH_COMMIT=	13cc0ee
+GH_COMMIT=	ff123ed # should be 9cbb488, but does not
 
 USE_AUTOTOOLS=	automake autoconf libtool
 GNU_CONFIGURE=	yes
-USES=		pkgconfig gettext iconv
-USE_GMAKE=	yes
+USES=		pkgconfig gmake
 USE_GNOME=	glib20
 USE_LDCONFIG=	yes
 CONFIGURE_ENV+=	PKG_CONFIG_DIR=${LOCALBASE}/libdata/pkgconfig

Modified: head/databases/libmongo-client/distinfo
==============================================================================
--- head/databases/libmongo-client/distinfo	Thu Sep  5 19:38:09 2013	(r326439)
+++ head/databases/libmongo-client/distinfo	Thu Sep  5 19:44:40 2013	(r326440)
@@ -1,2 +1,2 @@
-SHA256 (libmongo-client-0.1.6.2.tar.gz) = dc68c3f6c508fce3d8bf295b77f2e244521b94be940deb32442553426cbcebee
-SIZE (libmongo-client-0.1.6.2.tar.gz) = 120477
+SHA256 (libmongo-client-0.1.6.3.tar.gz) = 81ee485685746c4dbc719ffe485ff4c657e8f5e134cedba402520ab247b2f682
+SIZE (libmongo-client-0.1.6.3.tar.gz) = 121221
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-09-05 20:47:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!